Class(function(extend, using , self) {
    extend("pages/page");
    using("lib/jquery.min.js");

    self.create_room_success_ref = null;
    self.initPage = function () {
        this.log_trace("create-room-success bindRoomId  start");
        this.bindRoomId();
        this.log_trace("create-room-success bindRoomId  end");

        this.log_trace("create-room-success bindRoomName  start");
        this.bindRoomName();
        this.log_trace("create-room-success bindRoomName end");
    };
    // 获取房间id并显示
    self.bindRoomId = function () {
        var id = this.create_room_success_ref.get_zone_id();
        $(".tip span:eq(1)").text("ID:" + id);
    }
    // 获取房间名称并显示
    self.bindRoomName = function () {
        var name = this.create_room_success_ref.get_zone_name();
        $(".tip span:eq(0)").text(name);
    }

    self.initEvent = function(){
        var that = this;
        $(document).delegate(".btn-box button:first", "click", function () {
            that.create_room_success_ref.btn_enter_zone_click();
        });
    }

    self.func(function(curData){
        this.create_room_success_ref = curData;

        this.sup().constructor(curData);

        this.initPage();
        this.initEvent();
    })
});

//Audio.CreateRoomSuccess = Audio.CreateRoomSuccess || {
//    create_room_success_ref: null,
//    initPage: function () {
//        Audio.log_trace(createzoneres, "create-room-success bindRoomId  start");
//        this.bindRoomId();
//        Audio.log_trace(createzoneres, "create-room-success bindRoomId  end");
//
//        Audio.log_trace(createzoneres, "create-room-success bindRoomName  start");
//        this.bindRoomName();
//        Audio.log_trace(createzoneres, "create-room-success bindRoomName end");
//    },/* 获取房间id并显示 */
//    bindRoomId: function () {
//        var id = this.create_room_success_ref.get_zone_id();
//        $(".tip span:eq(1)").text("ID:" + id);
//    },/* 获取房间名称并显示 */
//    bindRoomName: function () {
//        var name = this.create_room_success_ref.get_zone_name();
//        $(".tip span:eq(0)").text(name);
//    }
//};
//
//(function () {
//    $(document).delegate(".btn-box button:first", "click", function () {
//        Audio.CreateRoomSuccess.create_room_success_ref.btn_enter_zone_click();
//    });
//})();
//
//window.onload = function () { Audio.CreateRoomSuccess.create_room_success_ref = createzoneres; Audio.CreateRoomSuccess.initPage(); }